> ## Documentation Index
> Fetch the complete documentation index at: https://docs.run-lunar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Job Logs



## OpenAPI

````yaml /api-reference/openapi.json get /v1/jobs/{job_id}/logs
openapi: 3.1.0
info:
  description: >-
    Account-isolated orchestration and metering. Only the non-executing mock
    provider is available; no GPU resources are provisioned.
  title: Lunar Neo Cloud Control Plane
  version: 0.1.0
servers: []
security: []
paths:
  /v1/jobs/{job_id}/logs:
    get:
      tags:
        - Jobs
      summary: Job Logs
      operationId: job_logs_v1_jobs__job_id__logs_get
      parameters:
        - in: path
          name: job_id
          required: true
          schema:
            title: Job Id
            type: string
        - in: query
          name: limit
          required: false
          schema:
            default: 100
            maximum: 500
            minimum: 1
            title: Limit
            type: integer
        - in: query
          name: cursor
          required: false
          schema:
            default: 0
            minimum: 0
            title: Cursor
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LogList'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: The request did not pass validation.
      security:
        - HTTPBearer: []
components:
  schemas:
    LogList:
      properties:
        items:
          items:
            $ref: '#/components/schemas/JobLogRead'
          title: Items
          type: array
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      required:
        - items
        - next_cursor
      title: LogList
      type: object
    ErrorResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorBody'
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
      required:
        - error
        - request_id
      title: ErrorResponse
      type: object
    JobLogRead:
      properties:
        details:
          additionalProperties: true
          title: Details
          type: object
        event_type:
          title: Event Type
          type: string
        id:
          title: Id
          type: string
        level:
          title: Level
          type: string
        message:
          title: Message
          type: string
        sequence:
          title: Sequence
          type: integer
        timestamp:
          format: date-time
          title: Timestamp
          type: string
      required:
        - id
        - sequence
        - timestamp
        - level
        - event_type
        - message
        - details
      title: JobLogRead
      type: object
    ErrorBody:
      properties:
        code:
          title: Code
          type: string
        details:
          anyOf:
            - items:
                $ref: '#/components/schemas/ValidationErrorDetail'
              type: array
            - type: 'null'
          title: Details
        message:
          title: Message
          type: string
      required:
        - code
        - message
      title: ErrorBody
      type: object
    ValidationErrorDetail:
      properties:
        field:
          title: Field
          type: string
        type:
          title: Type
          type: string
      required:
        - field
        - type
      title: ValidationErrorDetail
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.